Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Gilles Gouaillardet
Great point from David !

As a side note, you can
configure --enable-mpirun-prefix-by-default ... && make install

If you choose to do so, you will not have to set LD_LIBRARY_PATH since
it will be "built in" the Open MPI binaries/libraries (via the -rpath
linker option)

Cheers,

Gilles

On Sat, Jan 26, 2019 at 1:50 AM Shrader, David Lee via users
 wrote:
>
> The error about not finding shared libraries can be fixed by adding the 
> proper path to LD_LIBRARY_PATH, which Ralph has already mentioned. If Open 
> MPI is installed in $HOME/openmpi, LD_LIBRARY_PATH needs to be set like this:
>
> export LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH
>
> The mpi libraries are not in the base install directory, but in a lib 
> directory inside the installation directory.
>
> Thanks,
> David
>
>
>
>
> From: gil...@rist.or.jp 
> Date: Friday, Jan 25, 2019, 8:42 AM
> To: Open MPI Users 
> Subject: Re: [OMPI users] Open MPI installation problem
>
> Serdar,
>
>
>
> you need to export PATH and LD_LIBRARY_PATH in your .bashrc
>
>
>
> (e.g. export PATH=$HOME/openmpi/bin:$PATH)
>
>
>
> Also, make sure you built your application with Open MPI installed in 
> $HOME/openmpi
>
>
>
>
>
> Cheers,
>
>
>
> Gilles
>
>
>
> - Original Message -
>
> Hi folks,
>
> After installing OpenMPI, I executed these lines
>
> echo 'PATH=$HOME/openmpi/bin:$PATH' >> ~/.bashrc
> echo 'LD_LIBRARY_PATH=$HOME/openmpi/' >> ~/.bashrc
> source. bashrc
>
> and run  a simple file by using
>
> mpirun np 1 helloworld
>
> The error message is
>
> helloworld: error while loading shared libraries: libmpi_cxx.so.1: cannot 
> open shared object file: No such file or directory
> --
> mpirun noticed that the job aborted, but has no info as to the process
> that caused that situation.
> --
>  It is about inaccurate linking the libraries but I could not fix it. When i 
> run ldd helloworld, this appears
>
> linux-vdso.so.1 (0x7fff8f2d2000)
> libmpi_cxx.so.1 => not found
> libmpi.so.1 => not found
> libm.so.6 => /lib64/libm.so.6 (0x7fbc21e55000)
> libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x7fbc21acb000)
> libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x7fbc218b3000)
> libpthread.so.0 => /lib64/libpthread.so.0 (0x7fbc21696000)
> libc.so.6 => /lib64/libc.so.6 (0x7fbc212f1000)
> /lib64/ld-linux-x86-64.so.2 (0x7fbc22152000)
>
> Do you have any idea to fix it ?
>
> Best,
> Serdar
>
>
> Serdar Hiçdurmaz , 23 Oca 2019 Çar, 16:26 
> tarihinde şunu yazdı:
>>
>> Thanks Ralph. It worked.
>>
>> Serdar
>>
>> Ralph H Castain , 23 Oca 2019 Çar, 15:48 tarihinde şunu 
>> yazdı:
>>>
>>> Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI into 
>>> $HOME/openmpi, so you should have done:
>>>
>>> PATH=$HOME/openmpi/bin:$PATH
>>> LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH
>>>
>>> Ralph
>>>
>>>
>>> On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz  
>>> wrote:
>>>
>>> Hi All,
>>>
>>> I try to install Open MPI, which is prerequiste for liggghts (DEM 
>>> software). Some info about my current linux version :
>>>
>>> NAME="SLED"
>>> VERSION="12-SP3"
>>> VERSION_ID="12.3"
>>> PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
>>> ID="sled"
>>>
>>> I installed Open MPI 1.6 by typing
>>>
>>> ./configure --prefix=$HOME/openmpi
>>> make all
>>> make install
>>>
>>> Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3 
>>> https://public.kitware.com/pipermail/paraview/2014-February/030487.html 
>>> https://build.opensuse.org/package/show/openSUSE:12.3/openmpi
>>>
>>> To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following 
>>> comands on terminal:
>>>
>>> export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
>>> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64
>>>
>>> Then, in /liggghts/src directory, I execute make auto, this appears :
>>>
>>> Creating list of contact models completed.
>>> make[1]: Entering directory 
>>> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
>>>

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Shrader, David Lee via users
The error about not finding shared libraries can be fixed by adding the proper 
path to LD_LIBRARY_PATH, which Ralph has already mentioned. If Open MPI is 
installed in $HOME/openmpi, LD_LIBRARY_PATH needs to be set like this:

export LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH

The mpi libraries are not in the base install directory, but in a lib directory 
inside the installation directory.

Thanks,
David




From: gil...@rist.or.jp mailto:gil...@rist.or.jp>>
Date: Friday, Jan 25, 2019, 8:42 AM
To: Open MPI Users mailto:users@lists.open-mpi.org>>
Subject: Re: [OMPI users] Open MPI installation problem


Serdar,



you need to export PATH and LD_LIBRARY_PATH in your .bashrc



(e.g. export PATH=$HOME/openmpi/bin:$PATH)



Also, make sure you built your application with Open MPI installed in 
$HOME/openmpi





Cheers,



Gilles



- Original Message -

Hi folks,

After installing OpenMPI, I executed these lines

echo 'PATH=$HOME/openmpi/bin:$PATH' >> ~/.bashrc
echo 'LD_LIBRARY_PATH=$HOME/openmpi/' >> ~/.bashrc
source. bashrc

and run  a simple file by using

mpirun np 1 helloworld

The error message is

helloworld: error while loading shared libraries: libmpi_cxx.so.1: cannot open 
shared object file: No such file or directory
--
mpirun noticed that the job aborted, but has no info as to the process
that caused that situation.
--
 It is about inaccurate linking the libraries but I could not fix it. When i 
run ldd helloworld, this appears

linux-vdso.so.1 (0x7fff8f2d2000)
libmpi_cxx.so.1 => not found
libmpi.so.1 => not found
libm.so.6 => /lib64/libm.so.6 (0x7fbc21e55000)
libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x7fbc21acb000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x7fbc218b3000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x7fbc21696000)
libc.so.6 => /lib64/libc.so.6 (0x7fbc212f1000)
/lib64/ld-linux-x86-64.so.2 (0x7fbc22152000)

Do you have any idea to fix it ?

Best,
Serdar


Serdar Hiçdurmaz mailto:hicdurmazser...@gmail.com>>, 
23 Oca 2019 Çar, 16:26 tarihinde şunu yazdı:
Thanks Ralph. It worked.

Serdar

Ralph H Castain mailto:r...@open-mpi.org>>, 23 Oca 2019 Çar, 
15:48 tarihinde şunu yazdı:
Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI into 
$HOME/openmpi, so you should have done:

PATH=$HOME/openmpi/bin:$PATH
LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH

Ralph


On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz 
mailto:hicdurmazser...@gmail.com>> wrote:


Hi All,

I try to install Open MPI, which is prerequiste for liggghts (DEM software). 
Some info about my current linux version :

NAME="SLED"
VERSION="12-SP3"
VERSION_ID="12.3"
PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
ID="sled"

I installed Open MPI 1.6 by typing

./configure --prefix=$HOME/openmpi
make all
make install

Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3 
https://public.kitware.com/pipermail/paraview/2014-February/030487.html 
https://build.opensuse.org/package/show/openSUSE:12.3/openmpi

To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following comands 
on terminal:

export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64

Then, in /liggghts/src directory, I execute make auto, this appears :

Creating list of contact models completed.
make[1]: Entering directory 
'/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
Makefile:456: *** 'Could not compile a simple MPI example. Test was done with 
MPI_INC="" and MPICXX="mpicxx"'. Stop.
make[1]: Leaving directory 
'/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
Makefile:106: recipe for target 'auto' failed
make: *** [auto] Error 2

Do you have any idea what the problem is here ? I went through the "makefile" 
but it looks like quite complicated as linux beginner like me.

Thanks in advance. Regards,

Serdar


___
users mailing list
users@lists.open-mpi.org<mailto:users@lists.open-mpi.org>
https://lists.open-mpi.org/mailman/listinfo/users
___
users mailing list
users@lists.open-mpi.org<mailto:users@lists.open-mpi.org>
https://lists.open-mpi.org/mailman/listinfo/users
___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread gilles
Serdar,



you need to export PATH and LD_LIBRARY_PATH in your .bashrc



(e.g. export PATH=$HOME/openmpi/bin:$PATH)



Also, make sure you built your application with Open MPI installed in $
HOME/openmpi





Cheers,



Gilles



- Original Message -

Hi folks,

After installing OpenMPI, I executed these lines

echo 'PATH=$HOME/openmpi/bin:$PATH' >> ~/.bashrc
echo 'LD_LIBRARY_PATH=$HOME/openmpi/' >> ~/.bashrc
source. bashrc

and run  a simple file by using

mpirun np 1 helloworld

The error message is

helloworld: error while loading shared libraries: libmpi_cxx.so.1: 
cannot open shared object file: No such file or directory

--
mpirun noticed that the job aborted, but has no info as to the process
that caused that situation.

--
 It is about inaccurate linking the libraries but I could not fix it. 
When i run ldd helloworld, this appears

linux-vdso.so.1 (0x7fff8f2d2000)
libmpi_cxx.so.1 => not found
libmpi.so.1 => not found
libm.so.6 => /lib64/libm.so.6 (0x7fbc21e55000)
libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x7fbc21acb000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x7fbc218b3000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x7fbc21696000)
libc.so.6 => /lib64/libc.so.6 (0x7fbc212f1000)
/lib64/ld-linux-x86-64.so.2 (0x7fbc22152000)
  
Do you have any idea to fix it ?

Best, 
Serdar


Serdar Hiçdurmaz , 23 Oca 2019 Çar, 16:26 
tarihinde şunu yazdı:
Thanks Ralph. It worked. 

Serdar

Ralph H Castain , 23 Oca 2019 Çar, 15:48 tarihinde ş
unu yazdı:
Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI 
into $HOME/openmpi, so you should have done:

PATH=$HOME/openmpi/bin:$PATH
LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH

Ralph


On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz  wrote:

Hi All,

I try to install Open MPI, which is prerequiste for liggghts (DEM 
software). Some info about my current linux version :

NAME="SLED"
VERSION="12-SP3"
VERSION_ID="12.3"
PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
ID="sled"

I installed Open MPI 1.6 by typing

./configure --prefix=$HOME/openmpi
make all
make install

Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3 
https://public.kitware.com/pipermail/paraview/2014-February/030487.html 
https://build.opensuse.org/package/show/openSUSE:12.3/openmpi

To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following 
comands on terminal:

export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64

Then, in /liggghts/src directory, I execute make auto, this appears :

Creating list of contact models completed.
make[1]: Entering directory '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src
/Obj_auto'
Makefile:456: *** 'Could not compile a simple MPI example. Test was done 
with MPI_INC="" and MPICXX="mpicxx"'. Stop.
make[1]: Leaving directory '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/
Obj_auto'
Makefile:106: recipe for target 'auto' failed
make: *** [auto] Error 2

Do you have any idea what the problem is here ? I went through the "
makefile" but it looks like quite complicated as linux beginner like me.

Thanks in advance. Regards,

Serdar



___
users mailing list
users@lists.open-mpi.org 
https://lists.open-mpi.org/mailman/listinfo/users

___
users mailing list
users@lists.open-mpi.org 
https://lists.open-mpi.org/mailman/listinfo/users
 
___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users

Re: [OMPI users] Open MPI installation problem

2019-01-25 Thread Serdar Hiçdurmaz
Hi folks,

After installing OpenMPI, I executed these lines

echo 'PATH=$HOME/openmpi/bin:$PATH' >> ~/.bashrc
echo 'LD_LIBRARY_PATH=$HOME/openmpi/' >> ~/.bashrc
source. bashrc

and run  a simple file by using

mpirun np 1 helloworld

The error message is

helloworld: error while loading shared libraries: libmpi_cxx.so.1: cannot
open shared object file: No such file or directory
--
mpirun noticed that the job aborted, but has no info as to the process
that caused that situation.
--
 It is about inaccurate linking the libraries but I could not fix it. When
i run ldd helloworld, this appears

linux-vdso.so.1 (0x7fff8f2d2000)
libmpi_cxx.so.1 => not found
libmpi.so.1 => not found
libm.so.6 => /lib64/libm.so.6 (0x7fbc21e55000)
libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x7fbc21acb000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x7fbc218b3000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x7fbc21696000)
libc.so.6 => /lib64/libc.so.6 (0x7fbc212f1000)
/lib64/ld-linux-x86-64.so.2 (0x7fbc22152000)

Do you have any idea to fix it ?

Best,
Serdar


Serdar Hiçdurmaz , 23 Oca 2019 Çar, 16:26
tarihinde şunu yazdı:

> Thanks Ralph. It worked.
>
> Serdar
>
> Ralph H Castain , 23 Oca 2019 Çar, 15:48 tarihinde şunu
> yazdı:
>
>> Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI
>> into $HOME/openmpi, so you should have done:
>>
>> PATH=$HOME/openmpi/bin:$PATH
>> LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH
>>
>> Ralph
>>
>>
>> On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz 
>> wrote:
>>
>> Hi All,
>>
>> I try to install Open MPI, which is prerequiste for liggghts (DEM
>> software). Some info about my current linux version :
>>
>> NAME="SLED"
>> VERSION="12-SP3"
>> VERSION_ID="12.3"
>> PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
>> ID="sled"
>>
>> I installed Open MPI 1.6 by typing
>>
>> ./configure --prefix=$HOME/openmpi
>> make all
>> make install
>>
>> Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3
>> https://public.kitware.com/pipermail/paraview/2014-February/030487.html
>> https://build.opensuse.org/package/show/openSUSE:12.3/openmpi
>>
>> To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following
>> comands on terminal:
>>
>> export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
>> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64
>>
>> Then, in /liggghts/src directory, I execute make auto, this appears :
>>
>> Creating list of contact models completed.
>> make[1]: Entering directory
>> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
>> Makefile:456: *** 'Could not compile a simple MPI example. Test was done
>> with MPI_INC="" and MPICXX="mpicxx"'. Stop.
>> make[1]: Leaving directory
>> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
>> Makefile:106: recipe for target 'auto' failed
>> make: *** [auto] Error 2
>>
>> Do you have any idea what the problem is here ? I went through the
>> "makefile" but it looks like quite complicated as linux beginner like me.
>>
>> Thanks in advance. Regards,
>>
>> Serdar
>>
>> ___
>> users mailing list
>> users@lists.open-mpi.org
>> https://lists.open-mpi.org/mailman/listinfo/users
>>
>>
>> ___
>> users mailing list
>> users@lists.open-mpi.org
>> https://lists.open-mpi.org/mailman/listinfo/users
>
>
___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread Serdar Hiçdurmaz
Thanks Ralph. It worked.

Serdar

Ralph H Castain , 23 Oca 2019 Çar, 15:48 tarihinde şunu
yazdı:

> Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI
> into $HOME/openmpi, so you should have done:
>
> PATH=$HOME/openmpi/bin:$PATH
> LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH
>
> Ralph
>
>
> On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz 
> wrote:
>
> Hi All,
>
> I try to install Open MPI, which is prerequiste for liggghts (DEM
> software). Some info about my current linux version :
>
> NAME="SLED"
> VERSION="12-SP3"
> VERSION_ID="12.3"
> PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
> ID="sled"
>
> I installed Open MPI 1.6 by typing
>
> ./configure --prefix=$HOME/openmpi
> make all
> make install
>
> Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3
> https://public.kitware.com/pipermail/paraview/2014-February/030487.html
> https://build.opensuse.org/package/show/openSUSE:12.3/openmpi
>
> To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following
> comands on terminal:
>
> export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64
>
> Then, in /liggghts/src directory, I execute make auto, this appears :
>
> Creating list of contact models completed.
> make[1]: Entering directory
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:456: *** 'Could not compile a simple MPI example. Test was done
> with MPI_INC="" and MPICXX="mpicxx"'. Stop.
> make[1]: Leaving directory
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:106: recipe for target 'auto' failed
> make: *** [auto] Error 2
>
> Do you have any idea what the problem is here ? I went through the
> "makefile" but it looks like quite complicated as linux beginner like me.
>
> Thanks in advance. Regards,
>
> Serdar
>
> ___
> users mailing list
> users@lists.open-mpi.org
> https://lists.open-mpi.org/mailman/listinfo/users
>
>
> ___
> users mailing list
> users@lists.open-mpi.org
> https://lists.open-mpi.org/mailman/listinfo/users
___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread John Hearns via users
Sorry if I am being stupid, Serdar might also have to set the location for
the includes by setting MPI_INC

On Wed, 23 Jan 2019 at 14:47, Ralph H Castain  wrote:

> Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI
> into $HOME/openmpi, so you should have done:
>
> PATH=$HOME/openmpi/bin:$PATH
> LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH
>
> Ralph
>
>
> On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz 
> wrote:
>
> Hi All,
>
> I try to install Open MPI, which is prerequiste for liggghts (DEM
> software). Some info about my current linux version :
>
> NAME="SLED"
> VERSION="12-SP3"
> VERSION_ID="12.3"
> PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
> ID="sled"
>
> I installed Open MPI 1.6 by typing
>
> ./configure --prefix=$HOME/openmpi
> make all
> make install
>
> Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3
> https://public.kitware.com/pipermail/paraview/2014-February/030487.html
> https://build.opensuse.org/package/show/openSUSE:12.3/openmpi
>
> To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following
> comands on terminal:
>
> export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64
>
> Then, in /liggghts/src directory, I execute make auto, this appears :
>
> Creating list of contact models completed.
> make[1]: Entering directory
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:456: *** 'Could not compile a simple MPI example. Test was done
> with MPI_INC="" and MPICXX="mpicxx"'. Stop.
> make[1]: Leaving directory
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:106: recipe for target 'auto' failed
> make: *** [auto] Error 2
>
> Do you have any idea what the problem is here ? I went through the
> "makefile" but it looks like quite complicated as linux beginner like me.
>
> Thanks in advance. Regards,
>
> Serdar
>
> ___
> users mailing list
> users@lists.open-mpi.org
> https://lists.open-mpi.org/mailman/listinfo/users
>
>
> ___
> users mailing list
> users@lists.open-mpi.org
> https://lists.open-mpi.org/mailman/listinfo/users
___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users

Re: [OMPI users] Open MPI installation problem

2019-01-23 Thread Ralph H Castain
Your PATH and LD_LIBRARY_PATH setting is incorrect. You installed OMPI into 
$HOME/openmpi, so you should have done:

PATH=$HOME/openmpi/bin:$PATH
LD_LIBRARY_PATH=$HOME/openmpi/lib:$LD_LIBRARY_PATH

Ralph


> On Jan 23, 2019, at 6:36 AM, Serdar Hiçdurmaz  
> wrote:
> 
> Hi All,
> 
> I try to install Open MPI, which is prerequiste for liggghts (DEM software). 
> Some info about my current linux version :
> 
> NAME="SLED"
> VERSION="12-SP3"
> VERSION_ID="12.3"
> PRETTY_NAME="SUSE Linux Enterprise Desktop 12 SP3"
> ID="sled"
> 
> I installed Open MPI 1.6 by typing
> 
> ./configure --prefix=$HOME/openmpi
> make all
> make install
> 
> Here, it is discussed that openmpi 1.6 is compatible with OpenSuse 12.3 
> https://public.kitware.com/pipermail/paraview/2014-February/030487.html 
>  
> https://build.opensuse.org/package/show/openSUSE:12.3/openmpi 
> 
> To add OpenMPI to my path and LD_LIBRARY_PATH, I execute the following 
> comands on terminal:
> 
> export PATH=$PATH:/usr/lib64/mpi/gcc/openmpi/bin
> export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/mpi/gcc/openmpi/lib64
> 
> Then, in /liggghts/src directory, I execute make auto, this appears :
> 
> Creating list of contact models completed.
> make[1]: Entering directory 
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:456: *** 'Could not compile a simple MPI example. Test was done with 
> MPI_INC="" and MPICXX="mpicxx"'. Stop.
> make[1]: Leaving directory 
> '/home/serdarhd/liggghts/LIGGGHTS-PUBLIC/src/Obj_auto'
> Makefile:106: recipe for target 'auto' failed
> make: *** [auto] Error 2
> 
> Do you have any idea what the problem is here ? I went through the "makefile" 
> but it looks like quite complicated as linux beginner like me.
> 
> Thanks in advance. Regards,
> 
> Serdar
> 
> 
> 
> ___
> users mailing list
> users@lists.open-mpi.org
> https://lists.open-mpi.org/mailman/listinfo/users

___
users mailing list
users@lists.open-mpi.org
https://lists.open-mpi.org/mailman/listinfo/users